gnutls_ecc_curve_set_enabled(3)

NAME
gnutls_ecc_curve_set_enabled - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_ecc_curve_set_enabled(gnutls_ecc_curve_t curve, unsigned int enabled);

ARGUMENTS

gnutls_ecc_curve_t curve
    is an ECC curve

unsigned int enabled
    whether to enable the curve

DESCRIPTION
Modify the previous system wide setting that marked curve as enabled or disabled. This only has effect when the curve is enabled through the allowlisting mode in the configuration file, or when the setting is modified with a prior call to this function. This function must be called prior to any session priority setting functions; otherwise the behavior is undefined.

RETURNS
0 on success or negative error code otherwise.

SINCE
3.7.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/